Update the current user
Updates the profile information of the current authenticated user.
PUT
/v1/users/meUpdates the profile information of the current authenticated user.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/v1/users/me" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "firstName": "Andrea", "lastName": "Ramos", "birthDate": "2026-08-01", "gender": "male", "documentType": "dni", "documentNumber": "example", "phoneNumber": "+51987654321", "address": "example", "countryCode": "PE", "avatarUrl": "https://example.com/resource" }'{ "id": "2f40d7e4-3d9c-4ab2-b04e-7a6a132db821", "email": "andrea@example.com", "isProfileComplete": false, "isConfirmed": false, "isEmailConfirmed": false, "isPhoneNumberConfirmed": false, "isTwoFactorEnabled": false, "isActive": false, "createdOn": "2026-08-01T15:30:00Z", "roles": [ "example" ], "status": "inactive", "hasPassword": false, "loginProviders": [ "example" ]}